<?
header("Content-Type: application/xhtml+xml; charset=iso-8859-1");
use_helper('UrlFunctions');
$o_ObjectBean = new GastosGeneralesBean();
  
$tamanioPag = 10;
  
if($IdGasto   !=""){ $o_ObjectBean->setIdGasto($IdGasto); }
if($cboTipoGasto   !=""){ $o_ObjectBean->setTipoGasto($cboTipoGasto); }
if($cboSucursal  !=""){ $o_ObjectBean->setIdSucursal($cboSucursal); } 
if($cboEstado   !=""){ $o_ObjectBean->setEstado($cboEstado); }
if($txtFechaInicial   !=""){ $o_ObjectBean->setFechaGasto($txtFechaInicial); }
if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;
 
 
 /**********************/
  

 
 

$o_class = new GastosGeneralesBL();
$a_ObjectBean = $o_class->busquedaGastosGenerales($o_ObjectBean);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

if(!$page) $page = 1;



ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>


<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
                <th width="5%" >Nro</th>
                
               	<th width="10%" >Sucursal</th>
               	
                <th width="10%" >Tipo</th>
                <th width="15%" >Descripcion</th>
                <th width="10%" >Monto(S/.)&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" >Estado&nbsp;&nbsp;&nbsp;</th>
                <th width="12%" >Fecha Gasto&nbsp;&nbsp;&nbsp;</th>
                <th width="12%" >Descripcion</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Creadion</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Creacion</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                <?
               		$o_SucursalBean = new SucursalBean();
               		$o_SucursalBean->setIdSucursal($o_objBean->getIdSucursal());
               		
	               	$o_SucursalBL = new SucursalBL();
                	
					$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
					if(is_array($a_o_sucursal)){
						foreach ($a_o_sucursal as $key => $o_sucursal){
							$IdSucursal 	= $o_sucursal->getIdSucursal();
							$NombreSucursal = $o_sucursal->getDescripcion();
						}
					}
					
               		$o_EgresoBeann = new EgresoBean();
               		$o_EgresoBeann->setIdEgreso($o_objBean->getTipoGasto());
               		
	               	$o_EgresoDP = new EgresoDP($o_EgresoBeann);
                	
					$a_o_EgresoDP = $o_EgresoDP->select();
					if(is_array($a_o_EgresoDP)){
						foreach ($a_o_EgresoDP as $key => $o_EgresoDP){
						
							$NombreTipoGasto = $o_EgresoDP->getDescripcion();
						}
					}
					?>
	            <td align="center"><?=$NombreSucursal?></td>
	            <td align="center"><?=$NombreTipoGasto?></td>
                <!--<td align="center"><?=$o_objBean->getTipoGasto()?></td>-->
                <td align="center"><?=$o_objBean->getDescripcion()?></td>
                <td align="center"><?=$o_objBean->getMonto()?></td>
                <td align="center"><?=$o_objBean->getEstado()?></td>
                <td align="center"><?=$o_objBean->getFechaGasto()?></td>
                 <td align="center"><?=$o_objBean->getDescripcion()?></td>
                <td align="center"><?=$o_objBean->getUsuarioCreacion()?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center" valign="top">
                   <img src="/images/common/buttons/btnReview.gif" style="cursor:pointer;" title="Mostrar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('gge/show/id/'.$o_objBean->getIdGasto());?>','block=001')">&nbsp;
                   <?php if($o_objBean->getTipoGasto() != '3'){?>
                   <input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="Modificar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('gge/edit/id/'.$o_objBean->getIdGasto())?>','block=001')">&nbsp;
                   <input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Eliminar" onclick="deleteRegistro('<?=$o_objBean->getIdGasto()?>','<?=$o_objBean->getIdGasto()?>')">&nbsp;
                   <?php }?>
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?=count($a_ObjectBean)?></td>
        </tr>
      </table>